/**
 * client.h -- Client implementation
 * 
 * Copyright (C) 2011 Pantelis A. Frangoudis <pfrag@aueb.gr>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef _CLIENT_H_
#define _CLIENT_H_

#include "types.h"
#include "simulator.h"
#include "math.h"
#include "accesspoint.h"
#include <string.h>

/**
 * Scan and associate with closest...
 */
void associate();

/**
 * Configure client behavior
 */
void set_strategy(Client *c, attack_scenario *as);

/**
 * Client c executes attack!
 */
void attack(Client *c);

/**
 * Report stuff
 */
void report(Client *c, int do_report);

/**
 * Free mem of a client struct
 */
void free_client(Client *client);
void flush_client_info(Client *client);

AP* scan_block(Client *c, int bid, double *min_distance);
AP* scan(Client *c);

#endif
